Bug 860457 - intermittent configure issue with rhevm
intermittent configure issue with rhevm
Status: CLOSED WONTFIX
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-configure (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Mo Morsi
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 17:20 EDT by Dave Johnson
Modified: 2013-08-14 14:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 14:39:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
aeolus-configure.log (20.60 KB, text/x-log)
2012-10-17 10:21 EDT, Giulio Fidente
no flags Details
dbomatic.log (20.89 KB, text/x-log)
2012-10-17 10:21 EDT, Giulio Fidente
no flags Details
rails.log (1.48 MB, text/x-log)
2012-10-17 10:22 EDT, Giulio Fidente
no flags Details
thin.log (399 bytes, text/x-log)
2012-10-17 10:22 EDT, Giulio Fidente
no flags Details

  None (edit)
Description Dave Johnson 2012-09-25 17:20:40 EDT
Description of problem:
===============================

We continue to hit an intermittent configure issue against rhevm provider.  Not sure if it is related to rhevm not responding fast enough but something is going on, at a minimum it would be nice to give a little more feedback as to why this failed and maybe added a retry or two???

[1;35merr: /Stage[main]/Aeolus::Profiles::Rhevm/Aeolus::Profiles::Rhevm::Instance[default]/Aeolus::Conductor::Provider[rhevm-default]/Web_request[provider-rhevm-default]/post: change from  to https://localhost/conductor/providers.xml failed: An exception was raised when invoking web request: Invalid HTTP Return Code: 400,
                               was expecting one of 200[0m


And this is not related to the provider already being present which fails in the same manner.   :)


Version-Release number of selected component (if applicable):
=================================================================
aeolus-configure.noarch 0:2.8.7-1.el6cf
Comment 2 Mike Orazi 2012-09-27 09:20:18 EDT
I'm going to bump this to 2.0 for consideration.  We can move it back into 1.1 if we are able to find a reliably reproducer.
Comment 3 Dave Johnson 2012-10-02 09:25:44 EDT
Ran into this again, here is the error in rails.log

Started POST "/conductor/providers.xml" for 127.0.0.1 at Mon Oct 01 23:11:19 -0400 2012
  Processing by ProvidersController#create as XML
  Parameters: {"provider"=>{"url"=>"http://localhost:3002/api", "provider_type_deltacloud_driver"=>"rhevm", "deltacloud_provider"=>"https://111.111.111.111:8443/api;9754dc7f-489e-49dd-99d0-2c2ea7657b56", "name"=>"rhevm-default"}}
  ^[[1m^[[36mUser Load (0.7ms)^[[0m  ^[[1mSELECT "users".* FROM "users" WHERE "users"."id" = 5 LIMIT 1^[[0m
  ^[[1m^[[35mPermissionSession Load (0.5ms)^[[0m  SELECT "permission_sessions".* FROM "permission_sessions" WHERE "permission_sessions"."id" = 4 LIMIT 1
  ^[[1m^[[36mCACHE (0.0ms)^[[0m  ^[[1mSELECT "permission_sessions".* FROM "permission_sessions" WHERE "permission_sessions"."id" = 4 LIMIT 1^[[0m
  ^[[1m^[[35mBasePermissionObject Load (0.5ms)^[[0m  SELECT "base_permission_objects".* FROM "base_permission_objects" WHERE "base_permission_objects"."name" = 'general_permission_scope' LIMIT 1
  ^[[1m^[[36mSQL (2.2ms)^[[0m  ^[[1mSELECT COUNT(DISTINCT "derived_permissions"."id") FROM "derived_permissions" LEFT OUTER JOIN "roles" ON "roles"."id" = "derived_permissions"."role_id" LEFT OUTER JOIN "entities" ON "entities"."id" = "derived_permissions"."entity_id" LEFT OUTER JOIN "session_entities" ON "session_entities"."entity_id" = "entities"."id" LEFT OUTER JOIN "privileges" ON "privileges"."role_id" = "roles"."id" WHERE ("derived_permissions".permission_object_id = 1 AND "derived_permissions".permission_object_type = 'BasePermissionObject') AND (session_entities.user_id=5 and
 session_entities.permission_session_id=4 and
 privileges.target_type='Provider' and
 privileges.action='view')^[[0m
  ^[[1m^[[35mProviderType Load (0.5ms)^[[0m  SELECT "provider_types".* FROM "provider_types" WHERE "provider_types"."name" IN ('Mock', 'Amazon EC2', 'RHEV-M', 'VMware vSphere', 'Rackspace', 'Openstack')
  ^[[1m^[[36mCACHE (0.0ms)^[[0m  ^[[1mSELECT "base_permission_objects".* FROM "base_permission_objects" WHERE "base_permission_objects"."name" = 'general_permission_scope' LIMIT 1^[[0m
  ^[[1m^[[35mSQL (2.1ms)^[[0m  SELECT COUNT(DISTINCT "derived_permissions"."id") FROM "derived_permissions" LEFT OUTER JOIN "roles" ON "roles"."id" = "derived_permissions"."role_id" LEFT OUTER JOIN "entities" ON "entities"."id" = "derived_permissions"."entity_id" LEFT OUTER JOIN "session_entities" ON "session_entities"."entity_id" = "entities"."id" LEFT OUTER JOIN "privileges" ON "privileges"."role_id" = "roles"."id" WHERE ("derived_permissions".permission_object_id = 1 AND "derived_permissions".permission_object_type = 'BasePermissionObject') AND (session_entities.user_id=5 and
 session_entities.permission_session_id=4 and
 privileges.target_type='Provider' and
 privileges.action='create')
  ^[[1m^[[36mProviderType Load (0.5ms)^[[0m  ^[[1mSELECT "provider_types".* FROM "provider_types" WHERE "provider_types"."deltacloud_driver" = 'rhevm' LIMIT 1^[[0m
  ^[[1m^[[35mSQL (0.2ms)^[[0m  BEGIN
  ^[[1m^[[36mSQL (0.4ms)^[[0m  ^[[1mSELECT 1 FROM "providers" WHERE ("providers"."name" = 'rhevm-default') LIMIT 1^[[0m
  ^[[1m^[[35mProviderType Load (0.5ms)^[[0m  SELECT "provider_types".* FROM "provider_types" WHERE "provider_types"."id" = 3 LIMIT 1
  ^[[1m^[[36mSQL (0.4ms)^[[0m  ^[[1mROLLBACK^[[0m
Rendered api/validation_error.xml.haml (4.9ms)
Completed 400 Bad Request in 859ms (Views: 23.6ms | ActiveRecord: 23.4ms)
Comment 4 John Eckersberg 2012-10-02 10:52:23 EDT
Immediately after:

Completed 400 Bad Request in 859ms (Views: 23.6ms | ActiveRecord: 23.4ms)

in the log, do you happen to have...

<errors>
<error>
<message>Cloud Resource Provider name has already been taken</message>
</error>
</errors>

?
Comment 5 Giulio Fidente 2012-10-17 10:21:12 EDT
Created attachment 628836 [details]
aeolus-configure.log
Comment 6 Giulio Fidente 2012-10-17 10:21:35 EDT
Created attachment 628837 [details]
dbomatic.log
Comment 7 Giulio Fidente 2012-10-17 10:22:20 EDT
Created attachment 628838 [details]
rails.log
Comment 8 Giulio Fidente 2012-10-17 10:22:42 EDT
Created attachment 628839 [details]
thin.log
Comment 9 Giulio Fidente 2012-10-17 10:23:08 EDT
I'm seeing the same issue but don't have that messae in the logs.

I tried to look for 400 codes in rails.log but didn't find any. I'm attaching the log files I have.
Comment 11 Mo Morsi 2013-08-14 14:39:43 EDT
aeolus is no longer in development

Note You need to log in before you can comment on or make changes to this bug.